*******************************************************************************
*
*Harmonising to HS4, Imports data: Imports_product_details_cleaned
*
*******************************************************************************



		frame change customs_imports

	*******************************************************************************
	*Extract HS4 and aggregate by county-product and date
	*******************************************************************************
		
		*Keeping the first 4 digits
			replace hs_code = substr(hs_code,1,4) 
			
		*Create year/month variable
		gen date = ym(year, month_registration)
		
		*Collapsing 
			collapse (sum)  item_customs_value item_cif_value item_net_weight, by(ISO2_origin ISO3_origin region_origin country_of_origin consignee_taxpayer_id   hs_code year date)
		keep item_customs_value item_cif_value item_net_weight ISO2_origin ISO3_origin region_origin country_of_origin consignee_taxpayer_id  hs_code year date
		
		*dropping the EAC
			drop if inlist(ISO2_origin, "UG", "TZ", "BI", "RW", "KE")
			
			
		*dropping the obs that will not be matched	
			drop if country == . & region == . & inlist(ISO2_origin, "ZZ", "PJ")
				//(2 observations deleted)

		*drop if hs_code == ""
		count if hs_code == ""
			//0
			drop if hs_code == ""	

			
			
			egen group_id=group(country_of_origin consignee_taxpayer_id   hs_code ) 
						drop if group_id==.

			*Create full panel
			xtset group_id date
			tsfill, full
			
				bysort group_id: carryforward country_of_origin ISO2_origin consignee_taxpayer_id   hs_code, replace

				gsort group_id - date
				bysort group_id: carryforward country_of_origin ISO2_origin consignee_taxpayer_id   hs_code, replace
				
			xtset group_id date
				
			*Compute rolling values
			foreach var of varlist item_customs_value item_cif_value item_net_weight{
				tsegen R`var'=rowtotal(L(0/12).`var')
				cap drop `var'
				rename R`var' `var'

			}
		
			
			cap drop group_id
			
	*******************************************************************************
	*Rename variables 
	*******************************************************************************
		
		rename item_customs_value import_customsvalue
		rename item_cif_value import_tradevalue
		rename item_net_weight import_netweightkg
		rename country_of_origin country 
		rename ISO2_origin country_ISO2 
		rename ISO3_origin country_ISO3 
		rename region_origin region 
		rename consignee_taxpayer_id tax_payer_id

