*******************************************************************************
*
*Harmonising to HS4, Exports data: Exports_product_details_cleaned
*
*******************************************************************************

		frame change customs_exports

	*******************************************************************************
	*Extract HS4 and aggregate to county-product and date
	*******************************************************************************
		
		*Keeping the first 4 digits
			replace hs_code = substr(hs_code,1,4) 

			
		*dropping the EAC
			drop if inlist(ISO2_destination, "UG", "TZ", "BI", "RW", "KE")
			
		*drop if hs_code == ""
		count if hs_code == ""	
			// 0
			drop if hs_code == ""	

				*Create year/month variable
		gen date = ym(year, month_registration)

		*Collapsing 
			collapse (sum)  item_customs_value item_fob_value item_net_weight, by(ISO2_destination ISO3_destination region_destination country_of_destination  consignor_taxpayer_id hs_code year date)
			keep item_customs_value item_fob_value item_net_weight ISO2_destination ISO3_destination region_destination country_of_destination  consignor_taxpayer_id hs_code year date
			
			egen group_id=group(country_of_destination  consignor_taxpayer_id hs_code ) 
						drop if group_id==.

			xtset group_id date
			
			*Create full panel
			tsfill, full
			
				bysort group_id: carryforward country_of_destination ISO2_destination consignor_taxpayer_id hs_code, replace

				gsort group_id - date
				bysort group_id: carryforward country_of_destination ISO2_destination consignor_taxpayer_id hs_code, replace
				
			xtset group_id date
			
			foreach var of varlist item_customs_value item_fob_value item_net_weight{
				tsegen R`var'=rowtotal(L(0/12).`var')
				cap drop `var'
				rename R`var' `var'
			}
			cap drop group_id
			
	*******************************************************************************
	*Rename variables 
	*******************************************************************************
		
		rename item_customs_value export_customsvalue
		rename item_fob_value export_tradevalue
		rename item_net_weight export_netweightkg
		rename country_of_destination country 
		rename ISO2_destination country_ISO2 
		rename ISO3_destination country_ISO3 
		rename region_destination region 
		rename consignor_taxpayer_id tax_payer_id

		 
