*******************************************************************************
*
*Filter for transactions that involve priavte sector firms
*
*******************************************************************************

		*******************************************************************************
		*Firm-level data
		
			frame change monthly_firms
			
			keep tax_payer_id date total_imports total_exports total_sales total_purchases total_salary sales purchases purchases_network_monthly
			
				xtset tax_payer_id date
				
				*Compute rolling 12 months total
				foreach var of varlist total_imports total_exports total_sales total_purchases total_salary sales purchases purchases_network_monthly{
				tsegen R`var'=rowtotal(L(0/12).`var')
				cap drop `var'
				rename R`var' `var'
			}
		
			tempfile monthly_firms
			save `monthly_firms', replace 
			
	*******************************************************************************
	*Merge in customs records
	******************************************************************************* 
			
	
		 foreach trade in imports exports {
		 	
			*Data frame 
			frame change customs_`trade'
			
			merge m:1 tax_payer_id date using `monthly_firms' 
			
						*Check share of imports and exports covered by monthly firm panel
						sum *_tradevalue
						local total = `r(sum)'
				
						sum *_tradevalue if _merge==3
						*% covered
						di r(sum)/`total'*100
						*91.4% of imports and 90% of exports are covered by private sector firms
						
				drop if _merge !=3
				drop _merge 
		 }
		
