*******************************************************************************
*
*Merge country-product shares with monthly shocks computed from UN Comtrade data
*
*******************************************************************************
		
		
		frame change UNComtrade_shock_monthly 
				
			sort country_ISO2 hs_code year month
			order country_ISO2 hs_code year month
			
			drop if hs_code == ""
			drop if year == .
			
			tempfile shock_UNComtrade
			save `shock_UNComtrade', replace 
				
			
		 foreach trade in imports exports {
		 	
			frame change customs_`trade'
			
					decode country, gen(country_str)
					rename country country_float
					rename country_str country
					drop if country == ""
					replace country = strtrim(country)
					
				*Merging one year later so shares will be t-1
					gen real_date_customs = date
					replace date = date + 12
					drop if date>734
					
				merge m:1 country_ISO2 hs_code date using `shock_UNComtrade'
					drop if _merge == 2
					rename _merge coverage_`trade'
					label def coverage_`trade' 1 "only Customs" 2 "Only UN Comtrade" 3 "Match UN & Customs"
					label val coverage_`trade' coverage_`trade'
	
			
		 }
		 
		
