*******************************************************************************
*
*Aggregate share*shock composit at the firm level
*
*******************************************************************************

*******************************************************************************
*Imports
*******************************************************************************		
		
			frame change customs_imports
			
			keep tax_payer_id hs_code date year real_date_customs month country country_ISO2 country_ISO3 country_code  country_float region share_M_totInp share_M_totInp_customs     *_wes_tv    sum_share_M_tot*
				
				
				gen IV_imports_shcustoms_delta1 = share_M_totInp_customs*delta1_log_wes_tv
				gen IV_imports_shVAT_delta1 = share_M_totInp*delta1_log_wes_tv
				gen IV_imports_shcustoms_delta12 = share_M_totInp_customs*delta12_log_wes_tv
				gen IV_imports_shVAT_delta12 = share_M_totInp*delta12_log_wes_tv
				
				
				gen IV_imports_shcustoms_dhs1 = share_M_totInp_customs*dhs1_wes_tv
				gen IV_imports_shVAT_dhs1 = share_M_totInp*dhs1_wes_tv
				gen IV_imports_shcustoms_dhs12 = share_M_totInp_customs*dhs12_wes_tv
				gen IV_imports_shVAT_dhs12 = share_M_totInp*dhs12_wes_tv
			
			
			collapse (sum ) IV_imports_shcustoms_delta1 IV_imports_shVAT_delta1 IV_imports_shcustoms_delta12 IV_imports_shVAT_delta12 IV_imports_shcustoms_dhs1 IV_imports_shVAT_dhs1 IV_imports_shcustoms_dhs12 IV_imports_shVAT_dhs12 (max) sum_share_M_tot* , by(tax_payer_id date month)
					label variable sum_share_M_totInp_customs "Sum of shares product imports without EAC (using customs in denominator)"
					label variable sum_share_M_totInp "Sum of shares product imports without EAC (using VAT in denominator)"
		
			
*******************************************************************************
*Exports
*******************************************************************************
			
			frame change customs_exports
			
			keep tax_payer_id hs_code date year real_date_customs month country country_ISO2 country_ISO3 country_code  country_float region share_X_Sales share_X_totX_customs *_wid_tv  sum_share_X_totX_customs sum_share_X_Sales
				
				gen IV_exports_shcustoms_delta1 = share_X_totX_customs*delta1_log_wid_tv
				gen IV_exports_shVAT_delta1 = share_X_Sales*delta1_log_wid_tv
				gen IV_exports_shcustoms_delta12 = share_X_totX_customs*delta12_log_wid_tv
				gen IV_exports_shVAT_delta12 = share_X_Sales*delta12_log_wid_tv
				
				
				gen IV_exports_shcustoms_dhs1 = share_X_totX_customs*dhs1_wid_tv
				gen IV_exports_shVAT_dhs1 = share_X_Sales*dhs1_wid_tv
				gen IV_exports_shcustoms_dhs12 = share_X_totX_customs*dhs12_wid_tv
				gen IV_exports_shVAT_dhs12 = share_X_Sales*dhs12_wid_tv
			
			
			collapse (sum ) IV_exports_shcustoms_delta1 IV_exports_shVAT_delta1 IV_exports_shcustoms_delta12 IV_exports_shVAT_delta12 IV_exports_shcustoms_dhs1 IV_exports_shVAT_dhs1 IV_exports_shcustoms_dhs12 IV_exports_shVAT_dhs12 (max) sum_share_X_totX_customs sum_share_X_Sales, by(tax_payer_id date month)
					label variable sum_share_X_totX_customs "Sum of shares product exports without EAC (using customs in denominator)"
					label variable sum_share_X_Sales "Sum of shares product exports without EAC (using VAT in denominator)"
			
*******************************************************************************
*Merge data sets at the firm level
*******************************************************************************
		
		foreach trade in imports exports {
		 	
			frame change customs_`trade'
				drop if date == .
				tempfile customs_`trade' 
				save `customs_`trade'', replace 
		}
		
		frame change final_IV_monthly
		
			use `customs_imports', clear 
				 merge 1:1 tax_payer_id date using `customs_exports'
					drop _merge
		
