********************************************************************************
*
*Compute total exposure to global supply chains and pass-through of international shocks
*
********************************************************************************

	frame reset
	
	cd "$code/02_compute_total_X_M_exposure"
	
********************************************************************************
*Prepare data
********************************************************************************
	
	****************
	*Compute direct exposure measures and weights for adjacency matrix
	do "01_prepare_exposure_measures.do"
	
	****************
	*Prepare diagonal for adjacency matrix and compute [I-A]
	do "02_prepare_network_diagonal.do"
	
	****************
	*Prepare list with node characteristics - including shocks
	do "03_prepare_node_characteristics_list_monthly.do"

********************************************************************************
*Compute exposure measures in python
********************************************************************************

	
	*Domestic demand and exports
	cd "$code/02_compute_total_X_M_exposure"
	do "10_full_downstream_exposure.do"

	*Imports
	cd "$code/02_compute_total_X_M_exposure"
	do "11_full_upstream_exposure.do"
	
	*Export shocks
	cd "$code/02_compute_total_X_M_exposure"
	do "12_full_export_shock_exposure.do"

********************************************************************************
*Map measures to firm-level data
********************************************************************************
	cd "$code/02_compute_total_X_M_exposure"
	do "14_map2_firm_level_data.do"
	
	
********************************************************************************
*Remove input files for python
********************************************************************************

local workdir "$data/Working_files/full_shock_exposure/Input"
cd "`workdir'"

local datafiles: dir "`workdir'" files "*.dta"

foreach datafile of local datafiles {
        rm `datafile'
}

local txtfiles: dir "`workdir'" files "*.txt"

foreach txt of local txtfiles {
        rm `txt'
}

