********************************************************************************
*
*Create diagonal for adjacency matrix (all 1) and save adjacency matrix
*
*Output: Adjacency matrix for python
********************************************************************************


	frame change network

	sum networkdate 
foreach date of numlist `r(min)'/`r(max)'{
********************************************************************************
*Create diagonal
********************************************************************************
	frame copy network network_`date'
	frame change network_`date'
	
	keep if networkdate == `date'
	
	*Suppliers
	preserve
		bys supplier_id: keep if _n==1
		keep supplier_id
		tempfile supplier_list
		save `supplier_list', replace
	restore
		
	*Buyers
	preserve
		bys buyer_id: keep if _n==1
		keep buyer_id
		rename buyer_id supplier_id
		
	*Append to create full list of firms active in network
		append using `supplier_list'
		bys supplier_id: keep if _n==1
		duplicates drop supplier_id, force
		tempfile firmlist
		save `firmlist', replace
		
		rename supplier_id tax_payer_id
		gen networkdate = `date'
		save "$data/Working_files/full_shock_exposure/Input/firmlist_network_`date'.dta", replace
				
	restore
	
	*Add firm list to network panel to create diagonal for adjacency matrix
	append using `firmlist'
	replace buyer_id=supplier_id if buyer_id==.
	
	keep supplier_id buyer_id networkdate r_ij* s_ij*
	
	
********************************************************************************
*Inverse of network weights
********************************************************************************
	
	*Downstream weights
	replace r_ij = -r_ij
	replace r_ij = 1 if r_ij ==.

	replace r_ijc = -r_ijc
	replace r_ijc = 1 if r_ijc ==.
	
	*Upstream weights
	replace s_ij = -s_ij
	replace s_ij = 1 if s_ij ==.
	
	replace s_ijc = -s_ijc
	replace s_ijc = 1 if s_ijc ==.
	
	sort supplier_id buyer_id

********************************************************************************
*Export adjacency matrix as .txt file
********************************************************************************

	*Based on VAT
	preserve
		*Downstream matrix
		keep supplier_id buyer_id r_ij
		rename (supplier_id buyer_id r_ij ) (Source Target weight )
		outfile Source Target weight using "$data/Working_files/full_shock_exposure/Input/r_matrix_`date'.txt", noquote replace wide
	restore

	preserve
		*Upstream matrix
		keep supplier_id buyer_id s_ij
		rename (supplier_id buyer_id s_ij ) (Source Target weight )
		outfile Source Target weight using "$data/Working_files/full_shock_exposure/Input/s_matrix_`date'.txt", noquote replace wide
	restore
	
	*Based on customs
	preserve
		*Downstream matrix
		keep supplier_id buyer_id r_ijc
		rename (supplier_id buyer_id  r_ijc) (Source Target weight )
		outfile Source Target weight using "$data/Working_files/full_shock_exposure/Input/rc_matrix_`date'.txt", noquote replace wide
	restore

	preserve
		*Upstream matrix
		keep supplier_id buyer_id s_ijc
		rename (supplier_id buyer_id s_ijc) (Source Target weight )
		outfile Source Target weight using "$data/Working_files/full_shock_exposure/Input/sc_matrix_`date'.txt", noquote replace wide
	restore

	frame change default
	frame drop network_`date'
}
