********************************************************************************
*
*Master file to create graphs and tables
*
********************************************************************************

cd "$code/03_analysis/"

frames reset

	set segmentsize 3g
	set graphics off
	
********************************************************************************
*Set up firm data 
********************************************************************************

	***************
	*Load comprehensive firm panel (balanced) and merge with measure of exposure to international supply chains
	do "01_firm_panel.do"
	
	****************
	*Add rolling network indicators
	do "02_add_rolling_network_indicators.do"
	
	******************
	*Define network heterogeneity measures and split into groups
	do "03_network_heterogeneity.do"
	
********************************************************************************
*Core analysis
********************************************************************************

	*****************
	*Event study with outcomes normalised to January 2022
	include "10_basic_event_study.do"
		
	**************
	*Summary statistics on firms connected to international supply chains
	do "11_descriptives_intSC_groups.do"
	
	*Analysis
	do "12_network_position_heterogeneity.do"
	
	*Balance table
	do "13_network_position_balance_table.do"
	
	*Int shock pass-through
	do "14_int_shocks.do"