*******************************************************************************
*
*Balance table by network position
* 
*******************************************************************************

	gen mba_nbo=inlist(countyID, 1, 47)
	foreach var of varlist sales_annual purchases_annual{
		gen ln_`var'=ln(`var'+1)
	}
	
	label define div 0 "low diversification" 1 "high diversification", replace
	label values div_ex_purch div
	label values div_ex_sales div
	
	label variable mba_nbo "Nairobi or Mombasa based"
	label variable ln_sales_annual "Sales (log)"
	label variable ln_purchases_annual "Purchases (log)"
	label variable va_annual "Value added (log)"
	label variable va_pe_annual "Value added per employee (log)"
	label variable exporter_annual "Direct exporter"
	label variable importer_annual "Direct importer"
	label variable Rfd_share "Share of dom. sales out. network"
	label variable firm_age "Firm age"
	
	label define inventory 0 "low inventories" 1 "high inventories", replace
	label values high_inventory inventory
	label variable div_ex_sales "High upstream diversification"
	label variable div_ex_purch "High downstream diversification"
	
********************************************************************************
*Extensive margin diversification
********************************************************************************

 iebaltab firm_age mba_nbo exporter_annual importer_annual Rfd_share ln_sales_annual ln_purchases_annual tot_employees va_annual va_pe_annual if date==706 & groupdiv_ex_purch==1, grpvar(div_ex_purch) rowvarlabel savetex("$tables/Network_heterogeneity/balance_div_ex_purch.tex") replace

  iebaltab firm_age mba_nbo exporter_annual importer_annual Rfd_share ln_sales_annual ln_purchases_annual tot_employees va_annual va_pe_annual if date==706 & groupdiv_ex_sales==1, grpvar(div_ex_sales) rowvarlabel savetex("$tables/Network_heterogeneity/balance_div_ex_sales.tex") replace

********************************************************************************
*Inventory
********************************************************************************

 iebaltab firm_age mba_nbo exporter_annual importer_annual Rfd_share ln_sales_annual ln_purchases_annual tot_employees va_annual va_pe_annual div_ex_sales div_ex_purch if date==706 & grouphigh_inventory==1, grpvar(high_inventory) rowvarlabel savetex("$tables/Network_heterogeneity/balance_high_inventory.tex") replace

 iebaltab firm_age mba_nbo exporter_annual importer_annual Rfd_share ln_sales_annual ln_purchases_annual tot_employees va_annual va_pe_annual div_ex_sales div_ex_purch if date==706 & grouphigh_inventory==1, grpvar(high_inventory) rowvarlabel savetex("$tables/Network_heterogeneity/balance_high_inventory.tex") replace

	***********************************************************************
	*Examining the population of firms for whom we have inventory data
	
	*********************
	*Overlapp between highly diversified firms and firms with high inventory levels. 
	tab high_inventory  if date==706 & div_ex_purch==1
	tab high_inventory  if date==706 & div_ex_purch==0
	
	tab groupdiv_ex_purch grouphigh_inventory if date==706
	
	*********************
	*Volume of sales in 2019
	sum sales_annual if date==708 & (groupdiv_ex_purch==1 | groupdiv_ex_sales==1)

	sum sales_annual if date==708 & cit==1 & (groupdiv_ex_purch==1 | groupdiv_ex_sales==1)
		local cit_firms = `r(sum)'
	sum sales_annual if date==708 & cit==0 & (groupdiv_ex_purch==1 | groupdiv_ex_sales==1)
		local non_cit_firms = `r(sum)'

	di `cit_firms'/(`non_cit_firms'+`cit_firms')
	
	*****************
	*Inventory of exporters
	
		sum inventory_ratio if date==720 & Lcit==1 & inventory_ratio<1500 & exports_direct_high==1 , detail
		sum inventory_ratio if date==720 & Lcit==1 & inventory_ratio<1500 & exports_total_high ==1 , detail
		sum inventory_ratio if date==720 & Lcit==1 & inventory_ratio<1500 & exports_low ==1 , detail

	*****************
	*Inventory of importers
	
		sum inventory_ratio if date==720 & Lcit==1 & inventory_ratio<1500 & imports_direct_high==1 , detail
		sum inventory_ratio if date==720 & Lcit==1 & inventory_ratio<1500 & imports_total_high ==1 , detail
		sum inventory_ratio if date==720 & Lcit==1 & inventory_ratio<1500 & imports_low ==1 , detail
		
		
	
