********************************************************
**** Graphic settings ****

*cap ssc install grstyle, replace					//installs grstyle
*cap ssc install palettes, replace				//installs color palettes
*ssc install colrspace, replace

	grstyle clear

set scheme s2color

	grstyle init							//initiates grstyle		
	grstyle set horizontal				// set tick labels horizontal 
	grstyle set compact						// overall design compact
	grstyle color background white 		// set overall background to white
	grstyle linewidth major_grid thin	// set grid line thickness to thin
	grstyle linewidth tick thin	       // set tick thickness to thin
	grstyle linewidth axisline thin	       // set axislines thickness to thin
	grstyle set size vsmall: small_body 
	grstyle set legend 6, nobox				//legend position on 6 o'clock, removes box
	*grstyle set color economist

	grstyle set color black*.7: tick tick_label // set tick and tick label color
	grstyle set color white: plotregion  // set plot background area color
	grstyle set color white: plotregion_line
	grstyle set color black*.2: axisline  major_grid 	// set axis and grid line color

	grstyle set color black*.7: small_body // set note color 

	grstyle color background white
	grstyle anglestyle vertical_tick horizontal
	
	
	// CI
	grstyle color ci_area gs12%50
	grstyle color ci_arealine gs12%0
	
	
	//legend
	*grstyle clockdir legend_position 4
	*grstyle numstyle legend_cols 1
	grstyle linestyle legend none
	
	//Linewidth - adjust to thin for coefplots etc.
foreach num of numlist 1/10{
	grstyle linewidth p`num' medthick
}


	grstyle set color white*.08, opacity(0):  pbarline  // set graph bar outline transparent
	
	// Define colorscheme
	grstyle set color default






/*
grstyle color background white 		// set overall background to white
grstyle linewidth major_grid thin	// set grid line thickness to thin
grstyle linewidth tick thin	       // set tick thickness to thin
grstyle linewidth axisline thin	       // set axislines thickness to thin
grstyle set size vsmall: small_body 
grstyle set legend 6, nobox				//legend position on 6 o'clock, removes box
*grstyle set color economist

grstyle set color black*.7: tick tick_label // set tick and tick label color
grstyle set color black*.08: plotregion plotregion_line // set plot background area color
grstyle set color White: axisline  major_grid 	// set axis and grid line color

grstyle set color black*.7: small_body // set note color 



*grstyle set color ptol, qualitative
*grstyle set color viridis, order(1 6 11 5 10 15  3 8 13 4 9 14 2 7 12 )



*grstyle set color economist, order(9 2 8 11 4 7)

*grstyle set color BrBG, order(2 4 6 8 10)

*grstyle set color black*.7: p3  

*grstyle set color black: p3 p4 

grstyle linewidth p1 medthick 
grstyle textsize p1 vsmall   

grstyle linewidth p2 medthick   
grstyle textsize p2 vsmall    

grstyle linewidth p3 medthick 
grstyle textsize p3 vsmall   

grstyle linewidth p4 medthick   
grstyle textsize p4 vsmall 

grstyle linewidth p5 medthick   
grstyle textsize p5 vsmall 

grstyle linewidth p6 medthick   
grstyle textsize p6 vsmall 


*grstyle clear // resets graph settings to default
*/