*******************************************************************************
*
*Master file 
*
*******************************************************************************

*******************************************************************************
*File path
*******************************************************************************
	
	global data "$root/Data"
	global code "$root/code"
	global tables "$root/tables"
	global graphs "$root/graphs"
	
	cd "$code"
	
*******************************************************************************
*Settings for graphs
*******************************************************************************

	do "graphs.do"
	do "colorpalettes.do"
	
*******************************************************************************
*Compute network measures using 12 months rolling network (instead of network based on calendar years)
*******************************************************************************

	cd "$code"
	do "00_compute_rolling_firm_network.do"

*******************************************************************************
*Use customs records to compute country-product shares and UNComtrade data to compute world demand and supply shocks
*******************************************************************************

	do "$code/01_X_M_shock_measures/00_master_customs_data_XM_shares_shock_measures.do"

*******************************************************************************
*Compute total exposure measures using 12-months rolling adjacency matrix
*******************************************************************************

	do "$code/02_compute_total_X_M_exposure/00_full_Rnetwork_exposure_measures_master.do"
	
*******************************************************************************
*Main analysis
*******************************************************************************

	do "$code/03_analysis/00_analysis_master.do"
	